/**
 *  Generating the pagination numbers given the current page and number of pages
 *
 *  @paran m - current page
 *  @param c - number of pages
 *
 *  @reference_link: https://gist.github.com/kottenator/9d936eb3e4e3c3e02598
 */

const generatePaginationList = (m, c) => {

    const current = c,
        last = m,
        delta = 2,
        left = current - delta,
        right = current + delta + 1,
        range = [],
        rangeWithDots = [];
    let l;

    for (let i = 1; i <= last; i++) {
        if ((i === 1 || i === last) || (i >= left && i < right)) {
            range.push(i);
        }
    }

    for (let i of range) {
        if (l) {
            if (i - l === 2) {
                rangeWithDots.push(l + 1);
            } else if (i - l !== 1) {
                rangeWithDots.push('...');
            }
        }
        rangeWithDots.push(i);
        l = i;
    }

    return rangeWithDots;
};

// Exporting the functions
export default {
    generatePaginationList: generatePaginationList
};
